Vu+
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

How to install new drivers

Discussion in 'Black Hole HowTo & Guides' started by Tamaki, May 1, 2011.

  1. Tamaki

    Tamaki Administrator

    Messages:
    4,629
    Here is a little guide to install new VuPlus drivers.

    FOR OLD KERNEL

    First of all make a backup copy of the current drivers, copy all the files in
    /lib/modules/2.6.18-7.3/extra

    When new drivers comes out, take tar.gz drivers file and unzip all files in
    /lib/modules/2.6.18-7.3/extra
    and replace old drivers.
    Than reboot your decoder, that's all.

    If image reboots correctly new drivers are compatible with your image, if image doesn't start it means that the drivers are not compatible and you have to wait for a image upgrade.
    In this case to go back to old drivers, just connect with ftp and copy the drivers you backup before to:
    /lib/modules/2.6.18-7.3/extra

    FOR 3.1.1 KERNEL

    First of all make a backup copy of the current drivers, copy all the files in
    /lib/modules/3.1.1/extra

    When new drivers comes out, take tar.gz drivers file and unzip all files in
    /lib/modules/3.1.1/extra
    and replace old drivers.
    Than reboot your decoder, that's all.

    If image reboots correctly new drivers are compatible with your image, if image doesn't start it means that the drivers are not compatible and you have to wait for an image upgrade.
    In this case to go back to old drivers, just connect with ftp and copy the drivers you backup before to:
    /lib/modules/3.1.1/extra

    FOR NEW 3.3.8 KERNEL

    First of all make a backup copy of the current drivers, copy all the files in
    /lib/modules/3.3.8-2.0/extra

    When new drivers comes out, take tar.gz drivers file and unzip all files in
    /lib/modules/3.3.8-2.0/extra
    and replace old drivers.
    Than reboot your decoder, that's all.

    If image reboots correctly new drivers are compatible with your image, if image doesn't start it means that the drivers are not compatible and you have to wait for an image upgrade.
    In this case to go back to old drivers, just connect with ftp and copy the drivers you backup before to:
    /lib/modules/3.3.8-2.0/extra
     
    amir3681, josagi, KFL and 16 others like this.
  2. rachid lemrhannem

    rachid lemrhannem Vu+ Newbie

    Messages:
    26
    is there any possibility before to install new driver if that driver is compatible with the image or not
     
  3. Dzoni

    Dzoni BH Lover

    Messages:
    1,720
    A way to check whether or not the compatible is tasting.You need to back up the old drivers and put the new and the other is the possibility to ask for more experienced users if these drivers are compatible or not and soon you'll get an answer ! Regards.
     
  4. rachid lemrhannem

    rachid lemrhannem Vu+ Newbie

    Messages:
    26
    thanks Dzoni
     
  5. Tamaki

    Tamaki Administrator

    Messages:
    4,629
    No, there is no way to know if new drivers are compatible.
    You have to try or wait if someone confirm compatibility.
    I'm sorry.
     
  6. kitsuneyo

    kitsuneyo Vu+ Newbie

    Messages:
    21
    I can't seem to find the path /lib/modules/2.6.18-7.3/extra on my Vu+ Duo with BlackHole 1.6.6.

    There is a 'lib' folder but no 'modules' underneath it.

    Is there a different folder I should put these files in, or a different way to install?
     
  7. Tamaki

    Tamaki Administrator

    Messages:
    4,629
    Look better there must be that folder.
    Look in /lib not in /usr/lib
     
  8. kitsuneyo

    kitsuneyo Vu+ Newbie

    Messages:
    21
    I found it when I used Filezilla, thanks
     
  9. Persian Prince

    Persian Prince Vu+ User

    Messages:
    55
    Mazarei, alikhavari, harryoz and 2 others like this.
  10. mscon

    mscon Vu+ Newbie

    Messages:
    12
    copy all the files in
    /lib/modules/2.6.18-7.3/extra

    How to copy the files,where to save the files ?
    Thanks
     
  11. Tamaki

    Tamaki Administrator

    Messages:
    4,629
    You have to use a ftp program (i use mucommander) and you can save a backup copy of old files in your pc.
     
  12. mscon

    mscon Vu+ Newbie

    Messages:
    12
    Thanks a lot,
    another question:to update VU+ using USB drive you put the files in created folder VUplus>created folder UNO>files, do I have to transfer the main folder VUplus to the UB drive?eller open the folder >VUplus>UNO>files? I hope you understand me.
     
  13. Tamaki

    Tamaki Administrator

    Messages:
    4,629
    You have to transfer the main folder VUplus to the USB drive.
     
  14. mscon

    mscon Vu+ Newbie

    Messages:
    12
    Thank you very much tamaki.
     
  15. >>Artorius<<

    >>Artorius<< >>English Admin<<

    Messages:
    1,607
    For the new kernel there are some small changes.

    How to upgrade

    First of all make a backup copy of the current drivers, copy all the files in
    /lib/modules/3.1.1/extra

    When new drivers comes out, take tar.gz drivers file and unzip all files in
    /lib/modules/3.1.1/extra
    and replace old drivers.
    Than reboot your decoder, that's all.

    If image reboots correctly new drivers are compatible with your image, if image doesn't start it means that the drivers are not compatible and you have to wait for an image upgrade.
    In this case to go back to old drivers, just connect with ftp and copy the drivers you backup before to:
    /lib/modules/3.1.1/extra
     
    50_lire, Tamaki, biscamax and 4 others like this.
  16. younes-o2

    younes-o2 Vu+ User

    Messages:
    164
    I have injected vuplus-dvb-modules-vusolo-3.1.1-4.4.3-20111222 . My vu solo does not reboot. Help me please. Excuse me for my bad english.
     
  17. Tamaki

    Tamaki Administrator

    Messages:
    4,629
    Added to first post ;)
     
    biscamax, >>Artorius<< and a911 like this.
  18. >>Artorius<<

    >>Artorius<< >>English Admin<<

    Messages:
    1,607
    Which image version are you using ?
     
  19. younes-o2

    younes-o2 Vu+ User

    Messages:
    164
    Thank you Artorius.I use Bhole 1.6.7
     
  20. >>Artorius<<

    >>Artorius<< >>English Admin<<

    Messages:
    1,607
    For now reflash your image and do not update the drivers, very soon my friend will release an update of Vu Control Center which will enable you to update modules with 3.1.1 images.
     
    mirecek1965 likes this.

Share This Page